| Apache Ignite C++

Public Member Functions | List of all members
ignite::thin::compute::ComputeClient Class Reference

Client Compute API. More...

`#include <compute_client.h>`

## Public Member Functions
| ComputeClient ()
| Default constructor.
| ComputeClient (const SP_Void &impl)
| Constructor. More...
| ~ComputeClient ()
| Destructor.
template<typename R , typename A >
R | ExecuteJavaTask (const std::string &taskName, const A &taskArg)
| Executes given Java task by class name. More...
template<typename R >
R | ExecuteJavaTask (const std::string &taskName)
| Executes given Java task by class name. More...
ComputeClient | WithTimeout (int64_t timeoutMs)
| Returns a new instance of ComputeClient with a timeout for all task executions. More...
ComputeClient | WithNoFailover ()
| Returns a new instance of ComputeClient with disabled failover. More...
ComputeClient | WithNoResultCache ()
| Returns a new instance of ComputeClient with disabled result cache. More...

## Detailed Description

Client Compute API.

See also
  IgniteClient::GetCompute()

This class is implemented as a reference to an implementation so copying of this class instance will only create another reference to the same underlying object. Underlying object will be released automatically once all the instances are destructed.

## Constructor & Destructor Documentation

## ◆ ComputeClient()

ignite::thin::compute::ComputeClient::ComputeClient | ( | const SP_Void & | impl | ) |
| inline

Constructor.

Parameters

  impl | Implementation.

## Member Function Documentation

## ◆ ExecuteJavaTask() [1/2]

template<typename R >

R ignite::thin::compute::ComputeClient::ExecuteJavaTask | ( | const std::string & | taskName | ) |
| inline

Executes given Java task by class name.

Parameters

  taskName | Java task name.

Returns
  Task result of type `R`.

Template Parameters

  R | Type of task result.

## ◆ ExecuteJavaTask() [2/2]

template<typename R , typename A >

R ignite::thin::compute::ComputeClient::ExecuteJavaTask | ( | const std::string & | taskName,
|  | const A & | taskArg
| ) |  |
| inline

Executes given Java task by class name.

Parameters

  taskName | Java task name.
  taskArg | Argument of task execution of type A.

Returns
  Task result of type `R`.

Template Parameters

  R | Type of task result.
  A | Type of task argument.

## ◆ WithNoFailover()

ComputeClient ignite::thin::compute::ComputeClient::WithNoFailover | ( |  | ) |
| inline

Returns a new instance of ComputeClient with disabled failover.

When failover is disabled, compute jobs won't be retried in case of node crashes.

Returns
  New Compute instance with disabled failover.

## ◆ WithNoResultCache()

ComputeClient ignite::thin::compute::ComputeClient::WithNoResultCache | ( |  | ) |
| inline

Returns a new instance of ComputeClient with disabled result cache.

Returns
  New Compute instance with disabled result cache.

## ◆ WithTimeout()

ComputeClient ignite::thin::compute::ComputeClient::WithTimeout | ( | int64_t | timeoutMs | ) |
| inline

Returns a new instance of ComputeClient with a timeout for all task executions.

Parameters

  timeoutMs | Timeout in milliseconds.

Returns
  New ComputeClient instance with timeout.

The documentation for this class was generated from the following file:

- compute_client.h